# $Revision: 1.16 $, $Date: 2004/07/12 19:15:07 $
Summary:	NVidia (and others) TV-out tool
Summary(pl):	Narzdzie do TV-out w kartach firmy NVidia (i innych)
Name:		nvtv
Version:	0.4.7
%define	libver	0.4.7a
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/nv-tv-out/%{name}-%{version}.tar.gz
# Source0-md5:	35348d7608f94b7d114cd6ef46b66fc7
Source1:	http://dl.sourceforge.net/nv-tv-out/libnvtvsimple-%{libver}.tar.gz
# Source1-md5:	8c97d39818dc1e50704d8bb9ba5e7f06
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-opt.patch
URL:		http://www.sourceforge.net/projects/nv-tv-out/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	pciutils-devel
BuildRequires:	pkgconfig
BuildRequires:	xrender-devel
# uses <sys/io.h> interface to setup some adapters
ExclusiveArch:	alpha arm %{ix86} ia64 sh amd64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tool to use the TV-Out capabilities of NVidia graphic cards on Linux.
Now it supports not only NVidia chips.

%description -l pl
Narzdzie pozwalajce wykorzysta pod Linuksem moliwoci TV-Out kart
graficznych NVidia, od niedawna take innych.

%package -n libnvtvsimple
Summary:	Simple API library for nvtv
Summary(pl):	Prosta biblioteka do nvtv
Group:		Libraries

%description -n libnvtvsimple
This is the simple API library for nvtv, which uses the client backend
to access nvtvd.

%description -n libnvtvsimple -l pl
Ten pakiet zawiera prost bibliotek do nvtv, uywajc backendu
klienckiego do dostpu do nvtvd.

%package -n libnvtvsimple-devel
Summary:	Header file for libnvtvsimple library
Summary(pl):	Plik nagwkowy biblioteki libnvtvsimple
Group:		Development/Libraries
Requires:	libnvtvsimple = %{version}-%{release}

%description -n libnvtvsimple-devel
Header file for libnvtvsimple library.

%description -n libnvtvsimple-devel -l pl
Plik nagwkowy biblioteki libnvtvsimple.

%package -n libnvtvsimple-static
Summary:	Static libnvtvsimple library
Summary(pl):	Statyczna biblioteka libnvtvsimple
Group:		Development/Libraries
Requires:	libnvtvsimple-devel = %{version}-%{release}

%description -n libnvtvsimple-static
Static libnvtvsimple library.

%description -n libnvtvsimple-static -l pl
Statyczna biblioteka libnvtvsimple.

%prep
%setup -q -b1
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
mv -f aclocal.m4 acinclude.m4
%{__aclocal}
%{__autoconf}
%configure \
	%{!?debug:--disable-debug} \
	--with-gtk=gtk2

%{__make}

cd lib
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sbindir},%{_bindir},%{_mandir}/man{1,8}}

%{__make} -C lib install \
	DESTDIR=$RPM_BUILD_ROOT

install src/nvtvd $RPM_BUILD_ROOT%{_sbindir}
install src/nvtv $RPM_BUILD_ROOT%{_bindir}
install man/nvtv.1x $RPM_BUILD_ROOT%{_mandir}/man1/nvtv.1
install man/nvtvd.8 $RPM_BUILD_ROOT%{_mandir}/man8/nvtvd.8
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/nvtv
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/nvtv

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nvtv
if [ -f /var/lock/subsys/nvtv ]; then
	/etc/rc.d/init.d/nvtv restart >&2
else
	echo "Run \"/etc/rc.d/init.d/nvtv start\" to start NvTV daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/nvtv ]; then
		/etc/rc.d/init.d/nvtv stop >&2
	fi
	/sbin/chkconfig --del nvtv
fi

%post	-n libnvtvsimple -p /sbin/ldconfig
%postun	-n libnvtvsimple -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE BUGS ChangeLog FAQ README TODO doc/USAGE doc/*.txt
%attr(754,root,root) /etc/rc.d/init.d/nvtv
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/nvtv
%attr(755,root,root) %{_bindir}/nvtv
%attr(755,root,root) %{_sbindir}/nvtvd
%{_mandir}/man1/nvtv.1*
%{_mandir}/man8/nvtvd.8*

%files -n libnvtvsimple
%defattr(644,root,root,755)
%doc lib/README
%attr(755,root,root) %{_libdir}/libnvtvsimple.so.*.*.*

%files -n libnvtvsimple-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnvtvsimple.so
%{_libdir}/libnvtvsimple.la
%{_includedir}/nvtv
%{_pkgconfigdir}/nvtvsimple.pc

%files -n libnvtvsimple-static
%defattr(644,root,root,755)
%{_libdir}/libnvtvsimple.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nvtv.spec,v $
Revision 1.16  2004/07/12 19:15:07  qboosh
- ExclusiveArch because of IO access method (<sys/io.h>); release 2

Revision 1.15  2004/07/12 19:12:44  qboosh
- updated lib to 0.4.7a, build hacks no longer needed

Revision 1.14  2004/07/12 18:02:19  qboosh
- fixed build on amd64

Revision 1.13  2004/04/23 22:47:14  qboosh
- added libnvtvsimple* packages, updated opt patch

Revision 1.12  2004/04/23 22:01:07  qboosh
- updated to 0.4.7, removed outdated pipe patch, added opt patch
- switched to gtk2, noted that it's not only for NVidia now

Revision 1.11  2004/03/17 00:13:23  domelu
- fix previous commitlog

Revision 1.10  2004/03/16 23:58:01  domelu
- up to 0.4.6
- fix %prep
- moved man from doc/man/ -> man/

Revision 1.9  2003/11/11 02:15:08  qboosh
- BR: automake

Revision 1.8  2003/09/28 19:35:23  mmazur
- fixed building

Revision 1.7  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:51:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/10 20:16:29  qboosh
- pl description

Revision 1.4  2003/03/02 12:29:57  adasi
 - moved nvtv from sbindir to bindir, users can use it
 - relup from 0.9 to 1.0
 - quite useful for nvidia-manufactured card owners

Revision 1.3  2003/02/24 13:41:30  orzech
- forgot %%files

Revision 1.2  2003/02/24 13:35:42  orzech
- added init stuff

Revision 1.1  2003/02/24 12:36:25  orzech
- new (NVidia tv-out tool)
